Subject: [AAA-WG]: Additional values for Framed-protocol?

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 19 Mar 2004 19:03:48 -0500

In reading through NASREQ, a minor concern occurred to me.  It may be more 
trouble than it is worth to fix, and it may be better fixed elsewhere, so I 
would like your opinion.

The list of framed protocols provides a specific list of 
encapsulations.  This list can be (and has been) extended.  However, there 
seems to be one common case in use that can use unmodified Diameter Base 
and NASREQ, if its encapsulation were supported.  This is simple IP.  That 
is old fashioned wireless, hotel DSL, subscription based rental internet 
carells, and other similar access technologies which do not use an 
encapsulation between the IP packet and the defined media layer.

Should this be added by this document?  Should someone write a short 
document just to add that value?  Should the issue be ignored?  Note that 
this is not a technology specific value, as the "encapsulation" ("null" if 
you will) is used by multiple technologies.

Thank you,
Joel M. Halpern